Get managed LUTs for a product
curl --request GET \
--url https://api.kamino.finance/luts/managedconst options = {method: 'GET'};
fetch('https://api.kamino.finance/luts/managed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/luts/managed"
response = requests.get(url)
print(response.text)false{
"productIdentifierAddress": "6KhEbVjFg8bNkpTSyEfGJhMGtv2bRQiAKKbKZLPvrBFm",
"lutAddresses": [
"3Kz4sMiBCxg7JdCCjwRTHtFsQRqJCSKh5pVERhPfMzYF"
]
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}Managed LUTs
Get managed LUTs for a product
Returns active lookup table addresses associated with a given product identifier address.
GET
/
luts
/
managed
Get managed LUTs for a product
curl --request GET \
--url https://api.kamino.finance/luts/managedconst options = {method: 'GET'};
fetch('https://api.kamino.finance/luts/managed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/luts/managed"
response = requests.get(url)
print(response.text)false{
"productIdentifierAddress": "6KhEbVjFg8bNkpTSyEfGJhMGtv2bRQiAKKbKZLPvrBFm",
"lutAddresses": [
"3Kz4sMiBCxg7JdCCjwRTHtFsQRqJCSKh5pVERhPfMzYF"
]
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}Query Parameters
The product identifier address to look up LUTs for
Example:
"6KhEbVjFg8bNkpTSyEfGJhMGtv2bRQiAKKbKZLPvrBFm"